<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.shop.mapper.AuditMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="auditResultMap" type="org.springblade.ldt.shop.entity.Audit">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="process_definition_id" property="processDefinitionId"/>
        <result column="process_instance_id" property="processInstanceId"/>
        <result column="entity" property="entity"/>
        <result column="entity_id" property="entityId"/>
        <result column="id_card" property="idCard"/>
        <result column="shop_name" property="shopName"/>
        <result column="shop_logo" property="shopLogo"/>
        <result column="audit_status" property="auditStatus"/>
        <result column="request_no" property="requestNo"/>
        <result column="business_role" property="businessRole"/>
        <result column="sign_type" property="signType"/>
        <result column="enterprise_name" property="enterpriseName"/>
        <result column="type_of_organization" property="typeOfOrganization"/>
        <result column="type_of_enterprise" property="typeOfEnterprise"/>
        <result column="business_scope" property="businessScope"/>
        <result column="registered_capital" property="registeredCapital"/>
        <result column="paid_in_capital" property="paidInCapital"/>
        <result column="valid_period" property="validPeriod"/>
        <result column="registered_date" property="registeredDate"/>
        <result column="reg_num" property="regNum"/>
        <result column="licence_no" property="licenceNo"/>
        <result column="business_license" property="businessLicense"/>
        <result column="sign_name" property="signName"/>
        <result column="short_name" property="shortName"/>
        <result column="open_account_licence_no" property="openAccountLicenceNo"/>
        <result column="open_account_licence_url" property="openAccountLicenceUrl"/>
        <result column="hand_licence_url" property="handLicenceUrl"/>
        <result column="legal_person" property="legalPerson"/>
        <result column="legal_licence_type" property="legalLicenceType"/>
        <result column="legal_licence_no" property="legalLicenceNo"/>
        <result column="id_card_front" property="idCardFront"/>
        <result column="id_card_contrary" property="idCardContrary"/>
        <result column="gender" property="gender"/>
        <result column="addr" property="addr"/>
        <result column="nationality" property="nationality"/>
        <result column="valid_date" property="validDate"/>
        <result column="contact_name" property="contactName"/>
        <result column="contact_licence_no" property="contactLicenceNo"/>
        <result column="contact_mobile" property="contactMobile"/>
        <result column="contact_email" property="contactEmail"/>
        <result column="service_phone" property="servicePhone"/>
        <result column="province" property="province"/>
        <result column="city" property="city"/>
        <result column="district" property="district"/>
        <result column="address" property="address"/>
        <result column="settlement_direction" property="settlementDirection"/>
        <result column="bank_account_type" property="bankAccountType"/>
        <result column="bank_account_type_label" property="bankAccountTypeLabel"/>
        <result column="bank_card_no" property="bankCardNo"/>
        <result column="bank_code_label" property="bankCodeLabel"/>
        <result column="bank_code" property="bankCode"/>
        <result column="office_address" property="officeAddress"/>
    </resultMap>


    <select id="selectAuditPage" resultMap="auditResultMap">
        select * from ldt_audit where is_deleted = 0
    </select>

</mapper>
